Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Terminal

  • Create terminal action

  • Search terminal actions

  • Get terminal action

  • Cancel terminal action

  • Dismiss terminal action

  • Create terminal checkout

  • Search terminal checkouts

  • Get terminal checkout

  • Cancel terminal checkout

  • Dismiss terminal checkout

  • Create terminal refund

  • Search terminal refunds

  • Get terminal refund

  • Cancel terminal refund

  • Dismiss terminal refund

  • Webhooks

  • terminal.action.created

  • terminal.action.updated

  • terminal.checkout.created

  • terminal.checkout.updated

  • terminal.refund.created

  • terminal.refund.updated

<- Terminal API

Terminal API

All versions ->

Create terminal refund

POST

 /v2/terminals/refunds

Creates a request to refund an Interac payment completed on a Square Terminal.

Refunds for Interac payments on a Square Terminal are supported only for Interac debit cards in Canada. Other refunds for Terminal payments should use the Refunds API. For more information, see Refunds API.

Permissions:PAYMENTS_WRITE

Guide

Create a Terminal refund

Try in API Explorer
Link to section

Request body

Example code

Link to section

idempotency_key

string

Required

A unique string that identifies this CreateRefund request. Keys can be any valid string but must be unique for every CreateRefund request.

See Idempotency keys for more information.

Min Length
1
Max Length
64
Link to section

refund

The refund to create.

Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

refund

The created TerminalRefund.

Link to section

Examples

All versions ->

POST /v2/terminals/refunds
curl https://connect.squareup.com/v2/terminals/refunds \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "idempotency_key": "402a640b-b26f-401f-b406-46f839590c04", "refund": { "amount_money": { "amount": 111, "currency": "CAD" }, "device_id": "f72dfb8e-4d65-4e56-aade-ec3fb8d33291", "reason": "Returning items", "payment_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY" } }'

Response JSON

{ "refund": { "id": "009DP5HD-5O5OvgkcNUhl7JBuINflcjKqUzXZY", "payment_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY", "amount_money": { "amount": 111, "currency": "CAD" }, "reason": "Returning items", "device_id": "f72dfb8e-4d65-4e56-aade-ec3fb8d33291", "deadline_duration": "PT5M", "status": "PENDING", "created_at": "2020-09-29T15:21:46.771Z", "updated_at": "2020-09-29T15:21:46.771Z", "app_id": "sandbox-sq0idb-c2OuYt13YaCAeJq_2cd8OQ", "card": { "card_brand": "INTERAC", "last_4": "1111", "exp_month": 1, "exp_year": 2022, "fingerprint": "sq-1-B1fP9MNNmZgVVaPKRND6oDKYbz25S2cTvg9Mzwg3RMTK1zT1PiGRT-AE3nTA8vSmmw", "card_type": "CREDIT", "bin": "411111" }, "order_id": "kcuKDKreRaI4gF4TjmEgZjHk8Z7YY", "location_id": "76C9W6K8CNNQ5" } }